image: docker:19.03.12
services:
  - docker:19.03.12-dind
stages:
  - build
  - deploy
variables:
  DOCKER_HOST: tcp://docker:2376
  DOCKER_TLS_CERTDIR: "/certs"

# before_script:
build:
  stage: build
  script:

    - docker login -u $CI_REGISTRY_USER -p $CI_REGISTRY_PASSWORD $CI_REGISTRY

    
    - docker build -t registry.gitlab.com/tanabat.suasawathe/wongnai-test/app-hello-wolrd1:latest --target hello-1 .
    - docker build -t registry.gitlab.com/tanabat.suasawathe/wongnai-test/app-hello-wolrd2:latest --target hello-2 .
   
    - docker push registry.gitlab.com/tanabat.suasawathe/wongnai-test/app-hello-wolrd1:latest
    - docker push registry.gitlab.com/tanabat.suasawathe/wongnai-test/app-hello-wolrd2:latest

 
